#include<iostream>

using namespace std;

int novcanica(int n)
{
	if(n>=5)
		return 5;
	if(n>=2)
		return 2;
	else
		return 1;
	
}

int main()
{
	long long n;
	scanf("%lld",&n);
	int brojnovcanica=0;
	while(n>0)
	{
		if(n%10!=0)
		{
			int cifra=n%10;
			while(cifra>0)
			{
				brojnovcanica+=cifra/novcanica(cifra);
				cifra=cifra%novcanica(cifra);	
			}
			
		}
		n/=10;
	}
	printf("%d",brojnovcanica);
}